Bug 209628 - fc6pre do not recognize Marvell 88SE6141 Controller
fc6pre do not recognize Marvell 88SE6141 Controller
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-10-06 10:28 EDT by Martin
Modified: 2013-07-02 22:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:16:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin 2006-10-06 10:28:43 EDT
Description of problem:
i have connected 2 Samsung 250 SATAII Discs via RAID0 with the Marvel 88SE6141
Controller on my Asus P5WDG2-WS Pro Motherboard.
Loading the sata_mv drivers manually in rescure mode do not recognize the 
Marvell Controller.

Version-Release number of selected component (if applicable):
fc6pre with Kernel 2.6.18-1.2741.fc6

How reproducible:
always

Steps to Reproduce:
1. booting from Install CD in rescue Mode
2. add sata_mv modul
  
Actual results: No Marvell Controller is found


Expected results:
Controller is recognized

Additional info:
this is the output of lspci -vv, when the discs are connected with the ICH7R 
(Kernel 2.6.18-1.2741.fc6):

02:00.0 SATA controller: Marvell Technology Group Ltd. Unknown device 6141 (rev 
01) (prog-if 81)
	Subsystem: ASUSTeK Computer Inc. Unknown device 81d6
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
	Latency: 0 (2000ns min), Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at ac00 [size=8]
	Region 1: I/O ports at a880 [size=4]
	Region 2: I/O ports at a800 [size=64]
	Region 4: I/O ports at a480 [size=32]
	Region 5: Memory at fa8ffc00 (32-bit, non-prefetchable) [size=1K]
	Expansion ROM at fa880000 [disabled] [size=256K]
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0+,D1+,D2-
,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [50] Message Signalled Interrupts: 64bit- Queue=0/0 
Enable-
		Address: 00000000  Data: 0000
	Capabilities: [e0] Express Legacy Endpoint IRQ 0
		Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
		Device: Latency L0s unlimited, L1 unlimited
		Device: AtnBtn- AtnInd- PwrInd-
		Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
		Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr+ NoSnoop-
		Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
		Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 0
		Link: Latency L0s <256ns, L1 unlimited
		Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
		Link: Speed 2.5Gb/s, Width x1


Is there any workaround ?
Comment 1 Dave Jones 2006-10-06 12:30:54 EDT
probably not until upstream supports it.
Comment 2 Martin 2007-08-22 04:48:12 EDT
In the meantime there is a driver available on the ASUS Page.
Will this driver be available in a newer kernel. ?
http://www.driverstock.com/ASUS-P5WDG2-WS-Professional-driver-download/6-9-10190-81256/index.html

ASUS P5WDG2 WS Professional SATA driver
OS: Linux
	Description for ASUS P5WDG2 WS Professional SATA driver:

Marvell 88SE61xx SATA Linux Driver(linux-2.6.12.3.mv.tar.gz)
Version: -
Public date: July 31, 2006
Comment 3 Jon Stanley 2007-12-30 21:05:42 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-01-07 19:16:07 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.